// Function to robustly get into Euclid in a new tab
const {Cc,Ci} = require("chrome");
const tabs = require("tabs");
function euclid() {
    // ZAP bad cookie
    var cookieManager = Cc["@mozilla.org/cookiemanager;1"]
                        .getService(Ci.nsICookieManager);
    aHost = 'www.star.euclid.ed.ac.uk';
    aName = 'cosign-eucsCosign-www.star.euclid.ed.ac.uk';
    aPath = '/urd/sits.urd/run/';
    aBlocked = false;
    cookieManager.remove(aHost, aName, aPath, aBlocked);

    // Load new Euclid tab
    tabs.open("https://www.star.euclid.ed.ac.uk/urd/sits.urd/run/siw_sso.signon");
}


// Icon on add-on widget bar
const widgets = require("widget");
const data = require("self").data;
var widget = widgets.Widget({
  id: "euclid-link",
  label: "Fresh, working login to Euclid (Ctrl-Alt-e)",
  contentURL: data.url("favicon.ico"),
  onClick: euclid
});


// Hard-coded accelerator key
const { Hotkey } = require("hotkeys");
var showHotKey = Hotkey({
  combo: "control-alt-e",
  onPress: euclid
});


//console.log("The add-on is running.");
